Boomi API Control Plane REST API - APIGitIntegration
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Import API version into gateways
Deploy this API version to all production environments.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| name required | string |
Request Body schema: application/jsonrequired
| environment required | string <uuid> UUID of the environment to import the API from. |
| overrideOnConflict required | boolean Whether to overwrite existing API data if a conflict is detected. |
Responses
Request samples
- Payload
{- "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
- "overrideOnConflict": true
}Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Import API version into gateways asynchronously
Asynchronously deploy this API version to all production environments.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| name required | string |
Request Body schema: application/jsonrequired
| environment required | string <uuid> UUID of the environment to import the API from. |
| overrideOnConflict required | boolean Whether to overwrite existing API data if a conflict is detected. |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Request samples
- Payload
{- "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
- "overrideOnConflict": true
}Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Scan git repository for tags
Scan the git repository, that has been configured for this API, for tags and import them as API versions.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| aiGenerated required | boolean True if spec was AI-generated. |
required | Array of objects (EnvironmentSummaryDTO) Environments this version is currently deployed to. |
| displayName required | string Human-readable version name. |
| name required | string Version identifier (e.g. 'v1', '2.0.0'). |
| description | string <= 1000 characters Optional description of this API version. |
| status | string Enum: "CONCEPT" "DESIGN" "DEVELOPMENT" "STAGING" "PRODUCTION" "DEPRECATED" "RETIRED" Lifecycle: CONCEPT → DESIGN → DEVELOPMENT → STAGING → PRODUCTION → DEPRECATED → RETIRED. |
| apiId | string <uuid> Parent API UUID. |
object (AiGenerationStatusDetails) Status details of AI generation, if applicable. | |
| id | string <uuid> |
Response samples
- 200
- default
[- {
- "name": "string",
- "displayName": "string",
- "description": "string",
- "status": "CONCEPT",
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "aiGenerated": false,
- "aiGenStatusDetails": {
- "aiGenProcessId": "string",
- "aiGenStatus": "IN_PROGRESS",
- "aiGenStartedAt": "2019-08-24T14:15:22Z",
- "aiGenEstimatedTime": 0,
- "aiGenCompletedPercentage": 0,
- "aiGenError": "string",
- "aiGenRequestPayload": "string"
}, - "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "deployedOn": [
- {
- "id": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "stage": "PRODUCTION"
}
]
}
]Scan git repository for Open Proxy Specs
Scan the git repository, that has been configured for this Universal API, for tags and import them as API versions. An error is returned if the API is not a Universal API.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| errors required | Array of strings Errors encountered during the repository analysis. |
| skippedVersions required | Array of strings List of versions (git tags) that were not scanned / imported because they have already been imported and the git tag still points to the same git commit. This field is not relevant during the initial scan of a repository, as nothing has been imported, yet. |
required | Array of objects (OpenProxyGitVersion) List of all API versions that were found in / imported from the repository. |
| warnings required | Array of strings Warnings encountered during the repository analysis. |
Response samples
- 200
- default
{- "errors": [
- "string"
], - "warnings": [
- "string"
], - "versions": [
- {
- "versionName": "string",
- "analysis": {
- "errors": [
- "string"
], - "warnings": [
- "string"
], - "apiInfo": {
- "name": "string",
- "version": "string",
- "displayName": "string",
- "description": "string",
- "type": "REST"
}
}
}
], - "skippedVersions": [
- "string"
]
}Export API from gateway
Export API from environment to git repository.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| environment required | string <uuid> UUID of the environment to export the API from. |
| version required | string Version name to export. |
Responses
Request samples
- Payload
{- "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
- "version": "string"
}Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Export API from gateway asynchronously
Asynchronously export API from environment to git repository.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| environment required | string <uuid> UUID of the environment to export the API from. |
| version required | string Version name to export. |
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Request samples
- Payload
{- "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
- "version": "string"
}Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}List target environments for API deployment
Get the list of active environments to which the current user can deploy this API. Only environments whose agent supports the required deployment capability for this API's platform type are included.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| agentType required | string Deprecated Enum: "STANDALONE" "MANAGED" Deprecated. |
| color required | string Badge color in UI. |
| displayName required | string Human-readable name of the environment. |
| name required | string Technical name of the environment. |
| pinned required | boolean Pinned for quick access. |
| stage required | string Enum: "DEVELOPMENT" "PRODUCTION" DEVELOPMENT or PRODUCTION. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE or INACTIVE. |
| symbol required | string <= 4 characters Badge label (max 4 chars, e.g. 'P1'). |
| url | string Gateway base URL. |
| platformType | string Gateway platform type. |
| subscribeAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can subscribe: PUBLIC or RESTRICTED. |
| publishAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can publish: PUBLIC or RESTRICTED. |
| apiUrlStrategy | string Enum: "PLATFORM_DEFAULT" "PATH" "SUB_DOMAIN" URL routing: PLATFORM_DEFAULT, PATH, or SUB_DOMAIN. |
object (ApiGatewayDTO) The API Gateway instance associated with this environment. | |
object (AgentDTO) Deprecated Deprecated — use gateway.agent. | |
| gatewayId | string Unique id of the connected gateway. Only relevant and available for some platforms. |
| createdAt | string <date-time> Timestamp when the environment was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| apiGatewayName | string Set the name for the API gateway that is created for the new environment. If omitted, the API gateway will have the same name as the environment. |
Response samples
- 200
- default
[- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
]